Subject: Re: bug#45029: 27.1.50; Regression: Yanking into externally modified file with delete-selection-mode

From: Stefan Monnier <[email-masked]>
Date: Thu, 14 Sep 2023 09:44:00 -0400

>>> Anyway, here is a patch with two fixes:
>>> 1. Guards read-char-from-minibuffer-insert-char against inadvertent
>>>    operating on the non-minibuffer buffer;
>> I suspect this will/would just hide a problem (such as the current one)
>> under the rug.
> I admit this is a workaround, but I have no idea what would be a proper fix.

The let-binding of `this-command` fixes the problem, doesn't it?

>>> 2. Prevents read-char-from-minibuffer from changing the value of
>>>    'this-command' by read-from-minibuffer:
>> Right, but I think that this needs to apply to all recursive edits
>> rather than only `read-char-from-minibuffer`.
> I tried to test recursive commands at the read-char-from-minibuffer's
> prompt, but can't reproduce the same problem.

No, I mean other uses of a recursive edit from `pre-command-hook` would
cause the same problem, so the let-binding should be placed deeper than
in `read-char-from-minibuffer`, e.g. inside `recursive_edit_1`.

        Stefan